"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.contextMiddleware = void 0;
const auth_1 = require("../auth");
const locale_1 = require("../locale");
const http_auth_1 = require("./http-auth");
const http_handler_1 = require("./http-handler");
function contextMiddleware(req, res, next) {
    const info = {
        token: req.get('authorization'),
        ability: (0, auth_1.generateAbility)(),
        headers: {
            localeCode: req.get('accept-language') || req.get('content-language') || req.get('language') || locale_1.LocaleCode.EN_US,
            roleType: req.get('x-role-type'),
            remoteIp: (0, http_handler_1.getIp)(req)
        }
    };
    (0, http_auth_1.setAuthToken)(req, { type: null, info });
    return next();
}
exports.contextMiddleware = contextMiddleware;
//# sourceMappingURL=http-context.js.map